System 2.0.0.0 4.0.0.0 System.ValueType System.Collections.Generic.IEnumerator<T> System.Runtime.Serialization.IDeserializationCallback System.Runtime.Serialization.ISerializable

is a general-purpose linked list. It supports enumerators and implements the interface, consistent with other collection classes in the .NET Framework.

provides separate nodes of type , so insertion and removal are O(1) operations.

You can remove nodes and reinsert them, either in the same list or in another list, which results in no additional objects allocated on the heap. Because the list also maintains an internal count, getting the property is an O(1) operation.

Each node in a object is of the type . Because the is doubly linked, each node points forward to the node and backward to the node.

Lists that contain reference types perform better when a node and its value are created at the same time. accepts null as a valid property for reference types and allows duplicate values.

If the is empty, the and properties contain null.

The class does not support chaining, splitting, cycles, or other features that can leave the list in an inconsistent state. The list remains consistent on a single thread. The only multithreaded scenario supported by is multithreaded read operations.

Represents a doubly linked list.

- Property
  2.0.0.0
  4.0.0.0
  T To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.